Bug 185087 - fsck unnecessarily looks up swap devices' labels
fsck unnecessarily looks up swap devices' labels
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: e2fsprogs (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Jay Turner
:
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2006-03-10 10:20 EST by Bastien Nocera
Modified: 2015-01-07 19:12 EST (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0402
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:15:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fsck-dont-look-for-swap-device.patch (447 bytes, patch)
2006-03-10 10:20 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-03-10 10:20:10 EST
e2fsprogs-1.35-12.2.EL4

When the swap devices in /etc/fstab are defined with labels, rather than device
nodes (eg. LABEL=SWAP-sda3 instead of /dev/sda3), then fsck will look up the
device even though it can't fsck swap devices.

For example, "fsck -N /boot" will look through all the devices looking for
SWAP-sda3. Patch attached.
Comment 1 Bastien Nocera 2006-03-10 10:20:10 EST
Created attachment 125947 [details]
fsck-dont-look-for-swap-device.patch
Comment 9 Bob Johnson 2006-04-11 12:33:33 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 13 Red Hat Bugzilla 2006-08-10 17:15:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0402.html

Note You need to log in before you can comment on or make changes to this bug.